# Uses of Interface
jdk.javadoc.doclet.Reporter

Packages that use Reporter
Package
Description
jdk.javadoc.doclet
The Doclet API provides an environment which, in conjunction with the Language Model API and Compiler Tree API, allows clients to inspect the source-level structures of programs and libraries, including API comments embedded in the source.

## Uses of Reporter in jdk.javadoc.doclet

Methods in jdk.javadoc.doclet with parameters of type Reporter
Modifier and Type
Method
Description
`void`
Doclet.`init​(Locale locale, Reporter reporter)`
Initializes this doclet with the given locale and error reporter.
`void`
StandardDoclet.`init​(Locale locale, Reporter reporter)`